<?php
/**
 * ManuAdminMod
 *
 * This is a powerful and platform independent software for administrating game servers of various kinds.
 * If you need help with installing or using this software, please visit our website at: www.ManuAdminMod.de
 * If you want to obtain additional permissions extending the license, contact us at: Webmaster@ManuAdminMod.de
 *
 * @copyright www.ManuAdminMod.de
 * @license http://www.creativecommons.org/licenses/by-nc-nd/4.0/ Creative Commons BY-NC-ND 4.0
 * @version 1.0.0-Beta+7
**/

namespace MAM\Daemon\Api;

class HttpServer extends TcpServer implements  ApiInterface {
    public function __construct($port) {
        parent::__construct($port);
    }

    /**
     * @param $socket resource
     */
    protected function onSocketConnect($socket) {
        $this->clients[$this->getSocketHash($socket)] = new HttpClient($socket, $this);
    }

    public function getClients() {
        return $this->clients;
    }
}
